package jelite;

public class Parameters
{
  public static final int SOLAR_SYSTEM_SIZE_IN_SECTORS = 31;
  public static final int SOLAR_SYSTEM_HALF_SIZE_IN_SECTORS = ( SOLAR_SYSTEM_SIZE_IN_SECTORS - 1 ) / 2;
  public static final float SIZE_OF_SECTOR = 100000;

  public static final int sectorToGalaxyCoordinate( int sectorCoordinate )
  {
    if( sectorCoordinate > 0 )
    {
      return ( ( sectorCoordinate + SOLAR_SYSTEM_HALF_SIZE_IN_SECTORS ) / SOLAR_SYSTEM_SIZE_IN_SECTORS );
    }
    else
    {
      return ( ( sectorCoordinate - SOLAR_SYSTEM_HALF_SIZE_IN_SECTORS ) / SOLAR_SYSTEM_SIZE_IN_SECTORS );
    }
  }

  public static final int NUMBER_OF_SOUND_CHANNELS = 16;

  public static final int SOUND_EXPLOSION    = 0;
  public static final int SOUND_ENGINE       = 1;
  public static final int SOUND_NEW_MESSAGE  = 2;
  public static final int SOUND_HYPERSPACE   = 3;
  public static final int SOUND_MISSILE      = 4;
  public static final int SOUND_FIRE         = 5;

}