package jelite;

import liaquay.collection.*;

// Might want to use a hash table as well in here

public class StarMap
{
  ArrayList _stars = new ArrayList();

  public StarMap()
  {
    GalaxySeed seed = new GalaxySeed();
    for( int i = 0; i < 256; ++i )
    {
      Star star = seed.generateStar();
      _stars.add( star );
      seed.next();
    }
  }

  public Star getStar( int i )
  {
    return (Star)_stars.get( i );
  }

  public Star getStar( int x, int y, int z )
  {
    for( int i = 0; i < _stars.size(); ++i )
    {
      Star star = (Star)_stars.get( i );
      if( ( star.getX() == x ) &&
          ( star.getY() == y ) &&
          ( star.getZ() == z ) )
      {
        return star;
      }
    }
    return null;
  }

  public int numberOfStars()
  {
    return _stars.size();
  }
}