package jelite.client;

import liaquay.collection.*;
import liaquay.graphics.*;

public class FlyingPanel extends TabPanel
{
  private ViewPanel _viewPanel;
  private StarMapPanel _starMapPanel;
  private EngineRoomPanel _engineRoomPanel;
  private Selection _selection = new Selection();

  public FlyingPanel( JEliteApplet applet )
  {
    _viewPanel = new ViewPanel( _selection, applet );
    _starMapPanel = new StarMapPanel( _selection, applet );
    _engineRoomPanel = new EngineRoomPanel( _selection, applet );
    add( _engineRoomPanel, "Engine Room" );
    add( _starMapPanel, "Chart" );
    add( _viewPanel, "View" );
  }

  public void paintNow()
  {
    if( getFrontComponent() == _viewPanel )
    {
      _viewPanel.paintNow();
    }
  }
}
