package jelite.engine.galaxy.pilot;

import jelite.engine.galaxy.Craft;

public class CruiseAction extends CraftAction
{
  /**
   * Create a cruise action supplying its birthdate.
   */
  public CruiseAction( long birthdate, Craft self )
  {
    super( birthdate, 20000, self );
    
    add( new FlyStraightAction( birthdate, 5000, self, 0.5 ) );
  }

  public void perform( long ms )
  {
    System.out.println( "Performing cruise action" );
    
    if( getSubActions().size() == 0 )
    {
       setAborted();
    }    
  }

}
