package liaquay.collection;

public class IdentifierFactory
{
  private ArrayList _freedIdentifiers = new ArrayList();
  private int _highestIdentifier = 0;

  public int createIdentifier()
  {
    if( _freedIdentifiers.size() > 0 )
    {
      Integer integer = (Integer)_freedIdentifiers.remove();
      return integer.intValue();
    }
    else
    {
      return _highestIdentifier++;
    }
  }

  public void releaseIdentifier( int identifier )
  {
    _freedIdentifiers.add( new Integer( identifier ) );
  }
}