package liaquay.collection.test;

import junit.framework.*;
import liaquay.collection.*;

public class ObjectLocatorTest extends TestCase
{
  public ObjectLocatorTest(String name)
  {
    super(name);
  }

  public static Test suite()
  {
    /*
     * the dynamic way
     */
    return new TestSuite(ObjectLocatorTest.class);
  }

  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public void testCompare()
  {
    // setup searcher

    ObjectLocator locator = new ObjectLocator( new Integer(37),
                                               new ComparableComparator() );
    Integer higher = new Integer(49);
    Integer lower = new Integer(23);
    Integer equal = new Integer(37);


    assertEquals( true, locator.compare(higher)<0 );
    assertEquals( true, locator.compare(lower)>0 );
    assertEquals( true, locator.compare(equal)==0 );


  }

}
