package liaquay.graphics;

import liaquay.math.vector.*;

public class Camera3D
{
  private Transform _transform;
  private double _distanceToFocalPoint;

  public Camera3D( Transform transform, double distanceToFocalPoint )
  {
    _transform = transform;
    _distanceToFocalPoint = distanceToFocalPoint;
  }

  public final Transform getTransform()
  {
    return _transform;
  }

  public final double getDistanceToFocalPoint()
  {
    return _distanceToFocalPoint;
  }
}