package liaquay.graphics;

import liaquay.math.vector.*;

public class OpaquePlane3D
{
  private Materials _upperMaterials;
  private MappedPlane3D _plane;

  public OpaquePlane3D( MappedPlane3D plane,
                        Materials upperMaterials )
  {
    _upperMaterials = upperMaterials;
    _plane = plane;
  }

  public MappedPlane3D getMappedPlane3D()
  {
    return _plane;
  }

  public Materials getUpperMaterials()
  {
    return _upperMaterials;
  }
}