package liaquay.graphics;

import liaquay.math.vector.*;

public class OpaqueSphere3D
{
  private Sphere3D _sphere;
  private Materials _materials;

  public OpaqueSphere3D( Sphere3D sphere, Materials materials )
  {
    _sphere = sphere;
    _materials = materials;
  }

  public Materials getOuterMaterials()
  {
    return _materials;
  }

  public Sphere3D getSphere3D()
  {
    return _sphere;
  }
}
