package liaquay.graphics;

import liaquay.math.vector.*;

public class TranslucentSolid3D extends OpaqueSolid3D
{
  private double _refractiveIndex;
  private float _translucency;

  public TranslucentSolid3D( Solid3D solid,
                             Materials[] materials,
                             double refractiveIndex,
                             float translucency )
  {
    super( solid, materials );
    _translucency = translucency;
    _refractiveIndex = refractiveIndex;
  }

  public double getRefractiveIndex()
  {
    return _refractiveIndex;
  }

  public float getTranslucency()
  {
    return _translucency;
  }
}