package liaquay.graphics.parser.test;

import junit.framework.*;

/**
 * TestSuite that runs all the graphics parser tests
 */
public class AllTests 
{

  public static void main (String[] args) 
  {
    junit.textui.TestRunner.run (suite());
  }
  
  public static Test suite ( ) 
  {
    TestSuite suite= new TestSuite("All graphics parser Tests");
    suite.addTest(ParseColourTest.suite());
    suite.addTest(ParsePlainMaterialTest.suite());
    suite.addTest(ParseOpaqueSolid3DTest.suite());
    return suite;
  }
}
