package liaquay.graphics.parser.test;

import java.io.*;
import junit.framework.*;
import liaquay.text.parser.*;
import liaquay.graphics.*;
import liaquay.graphics.parser.*;

/**
 * ParseOpaqueSolid3D tests.
 */
public class ParseOpaqueSolid3DTest extends TestCase 
{
  public ParseOpaqueSolid3DTest(String name) 
  {
    super(name);
  }
  
  protected void setUp() 
  {
  }
  
  public static Test suite() 
  {
    /*
     * the dynamic way
     */
    return new TestSuite(ParseOpaqueSolid3DTest.class);
  }
  
  
  public void test1()
  {
    ParseOpaqueSolid3D parser = new ParseOpaqueSolid3D();

    try
    {
      parser.parseSequential( 
"(\n" +
"  (\n" +
"    (\n" +
"      (24.0 16.0 0.0)\n" +
"      (24.0 5.0 15.0)\n" +
"      (24.0 -13.0 9.0)\n" +
"      (24.0 -13.0 -9.0)\n" +
"      (24.0 5.0 -15.0)\n" +
"      (-24.0 16.0 0.0)\n" +
"      (-24.0 5.0 15.0)\n" +
"      (-24.0 -13.0 9.0)\n" +
"      (-24.0 -13.0 -9.0)\n" +
"      (-24.0 5.0 -15.0)\n" +
"    )\n" +
"    (\n" +
"      (4 0 1 2 3)\n" +
"      (1 0 5 6)\n" +
"      (2 1 6 7)\n" +
"      (3 2 7 8)\n" +
"      (4 3 8 9)\n" +
"      (9 5 0 4)\n" +
"      (8 7 6 5 9)\n" +
"    )\n" +
"  )\n" +
"  (\n" +
"    (((0.627451 0.42352942 0.3764706) (0.0 0.0 0.0) 0))\n" +
"    (((0.3137255 0.3137255 0.3137255) (0.0 0.0 0.0) 0))\n" +
"    (((0.4392157 0.4392157 0.4392157) (0.0 0.0 0.0) 0))\n" +
"    (((0.3137255 0.3137255 0.3137255) (0.0 0.0 0.0) 0))\n" +
"    (((0.4392157 0.4392157 0.4392157) (0.0 0.0 0.0) 0))\n" +
"    (((0.3137255 0.3137255 0.3137255) (0.0 0.0 0.0) 0))\n" +
"    (((0.3137255 0.3137255 0.3137255) (0.0 0.0 0.0) 0))\n" +
"  )\n" +
"  (0 1 2 3 4 5 6)\n" +
")\n" );

      if( parser.getMatched() )
      {

      }
      else
      {
        fail( "Could not parse input string\n" + parser.explain() );
      }      
    }
    catch( Exception e )
    {
      fail( "Could not parse input string\n" + parser.explain() );
    }  
  }
}
