package liaquay.graphics.raytrace;

import liaquay.math.vector.*;
import liaquay.graphics.*;

public interface Traceable
{
  public Colour trace( Vector3D intersection,
                       Vector3D direction,
                       RayBox box,
                       int depth );

  public Vector3D intersection( Vector3D start,
                                Vector3D direction );
}
