package liaquay.graphics.raytrace;

import liaquay.collection.*;
import liaquay.math.vector.*;

public class TranslucentPolygonIntersection
{
  private TraceableTranslucentPolygon _poly;
  private Vector3D _intersection;

  public TranslucentPolygonIntersection( TraceableTranslucentPolygon poly, Vector3D intersection )
  {
    _poly = poly;
    _intersection = intersection;
  }

  public TraceableTranslucentPolygon getPolygon()
  {
    return _poly;
  }

  public Vector3D getIntersection()
  {
    return _intersection;
  }
}