package liaquay.math.vector.parser.test;

import junit.framework.*;

/**
 * TestSuite that runs all the parser tests
 */
public class AllTests 
{

  public static void main (String[] args) 
  {
    junit.textui.TestRunner.run (suite());
  }
  
  public static Test suite ( ) 
  {
    TestSuite suite= new TestSuite("All text Tests");
    suite.addTest(ParseVector3DTest.suite());
    suite.addTest(ParseVector2DTest.suite());
    suite.addTest(ParseVertices3DTest.suite());
    suite.addTest(ParseSolid3DFaceTest.suite());
    suite.addTest(ParseSolid3DFacesTest.suite());
    suite.addTest(ParseSolid3DTest.suite());
    return suite;
  }
}
