package liaquay.stream;

public class BooleanArrayBitInputStream implements SeekableBitInputStream
{
  private boolean[] _bits;
  private int _index = 0;

  public BooleanArrayBitInputStream( boolean[] bits )
  {
    _bits = bits;
  }

  public boolean read()
  {
    return _bits[ _index++ ];
  }


  public boolean eof()
  {
    return _index >= _bits.length;
  }

  public void close()
  {
  }
  
  public void seek( long index )
  {
    _index = (int)index;
  }
  
  public long getCurrentIndex()
  {
    return _index;
  }
}
