package liaquay.text.parser;

public class CharBuffer
{
  private char[] _chars;
  private int _length = 0;

  public CharBuffer()
  {
    _chars = new char[ 512 ];
  }

  public CharBuffer( int initialLength )
  {
    _chars = new char[ initialLength ];
  }

  public void add( char o )
  {
    if( _length == _chars.length )
    {
      char t[] = new char[ _chars.length * 2 ];
      for( int i = 0; i < _chars.length; ++i )
      {
        t[ i ] = _chars[ i ];
      }
      _chars = t;
    }
    _chars[ _length++ ] = o;
  }

  public char remove()
  {
    if( _length > 0 )
    {
      return _chars[ --_length ];
    }
    else
    {
      return 0;
    }
  }

  public void removeAll()
  {
    _length = 0;
  }

  public char get( int i )
  {
    return _chars[ i ];
  }

  public int length()
  {
    return _length;
  }

  public int size()
  {
    return _length;
  }
}