package liaquay.text.parser;

import java.io.*;

public class ParseChar extends CharsParser
{
  private char _b;
  private MatchChar _matchChar;

  public ParseChar( MatchChar matchChar )
  {
    _matchChar = matchChar;
  }

  protected boolean parseChars( CharReader r )
    throws IOException
  {
    int c = r.read();

    if( c == -1 ) return false;

    return _matchChar.match( (char)c );
  }

  protected void matched( Region region )
  {
    _b = region.getChar( 0 );
  }

  public char getMatchedChar()
  {
    return _b;
  }
}
