package liaquay.text.parser;

import java.io.*;

public class ParseCharLiteral extends CharsParser
{
  private char _b;

  public ParseCharLiteral( char b )
  {
    _b = b;
  }

  protected boolean parseChars( CharReader r )
    throws IOException
  {
    int c = r.read();

    if( c == -1 ) return false;

    return (char)c == _b;
  }

  public char getLiteralChar()
  {
    return _b;
  }
}