package liaquay.text.parser;

import java.io.*;
import liaquay.collection.ArrayList;

public class ParseOptions extends CompoundParser
{
  private int _matchedParser = -1;

  protected boolean parseChars( CharReader r )
    throws IOException, ParserException
  {
    _matchedParser = -1;

    for( int i = 0; i < getNumberOfParsers(); ++i )
    {
      CharsParser parser = getParser( i );
      if( parser.parse( r ) )
      {
        _matchedParser = i;
        return true;
      }
    }
    return true;
  }

  public CharsParser getMatchedParser()
  {
    return getParser( _matchedParser );
  }
}