package liaquay.text.parser;

public class ParseSignedInteger extends ParseSequence
{
  private ParseCharLiteral _parseMinusSign = new ParseCharLiteral( (char)'-' );
  private ParseCharLiteral _parsePlusSign = new ParseCharLiteral( (char)'+' );
  private ParseAnyWidthInteger _integer = new ParseAnyWidthInteger();

  public ParseSignedInteger()
  {
    ParseOptions options = new ParseOptions();
    options.add( _parseMinusSign );
    options.add( _parsePlusSign );

    add( options );
    add( _integer );
  }

  public long value()
  {
    long v = _integer.value();
    if( _parseMinusSign.getMatched() )
    {
      return -v;
    }
    else
    {
      return v;
    }
  }

}