package liaquay.text.parser.test;

import junit.framework.*;

/**
 * TestSuite that runs all the parser tests
 */
public class AllTests
{

  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public static Test suite ( )
  {
    TestSuite suite= new TestSuite("All parser Tests");
    suite.addTest(MatchCharRegionTest.suite());
    suite.addTest(CharReaderTest.suite());
    suite.addTest(ParseSignedIntegerTest.suite());
    suite.addTest(ParseFloatingPointTest.suite());
    suite.addTest(ParseOneOrMoreTest.suite());
    suite.addTest(ParseZeroOrMoreTest.suite());
    suite.addTest(ParsePositiveIntegerSetTest.suite());
    return suite;
  }
}
