package liaquay.text.test;

import junit.framework.*;
import liaquay.text.CharacterFrequencyMap;

/**
 * CharacterFrequencyMap tests.
 *
 */
public class CharacterFrequencyMapTest extends TestCase 
{


  public CharacterFrequencyMapTest(String name) 
  {
    super(name);
  }
  protected void setUp() 
  {


  }
  
  public static Test suite() 
  {
    /*
     * the dynamic way
     */
    return new TestSuite(CharacterFrequencyMapTest.class);
  }
  
  
  public void testAddCharactersGetFrequency()
  {
    CharacterFrequencyMap cfm = new CharacterFrequencyMap();
    cfm.addCharacters("Hello world");
    cfm.addCharacters("how are you?");
    
    assertTrue( cfm.getFrequency('H')==1);
    assertTrue( cfm.getFrequency('e')==2);
    assertTrue( cfm.getFrequency('l')==3);
    assertTrue( cfm.getFrequency('o')==4);
    assertTrue( cfm.getFrequency('w')==2);
    assertTrue( cfm.getFrequency('r')==2);
    assertTrue( cfm.getFrequency('d')==1);
    assertTrue( cfm.getFrequency('h')==1);
    assertTrue( cfm.getFrequency('a')==1);
    assertTrue( cfm.getFrequency('y')==1);
    assertTrue( cfm.getFrequency('u')==1);
  }
}