package jelite.client;

import java.awt.*;

public class Scanner
{
  private final static int MAX_ITEMS = 60;
  private int[] _x = new int[ MAX_ITEMS ];
  private int[] _y = new int[ MAX_ITEMS ];
  private int[] _z = new int[ MAX_ITEMS ];
  private int _length = 0;

  public final void clear()
  {
    _length = 0;
  }

  public final void add( int x, int y, int z )
  {
    if( _length >= MAX_ITEMS ) return;
    _x[ _length ] = x;
    _y[ _length ] = y;
    _z[ _length ] = z;
    ++_length;
  }

  public final void render( Graphics g )
  {
    g.setColor( Color.yellow );
    for( int i = 0; i < _length; ++i )
    {
      int x = _x[ i ];
      int y = _y[ i ];
      int z = _z[ i ];

      g.drawLine( -x, -z, -x, -(z + y) );
      g.drawLine( -x, -(z + y), -x + 3, -(z + y) );
    }
  }
}