package jelite.engine.galaxy;

import liaquay.math.vector.*;

public class GunMount
{
  private Transform _transform;
  private Gun _gun = null;

  public GunMount( Transform transform )
  {
    _transform = transform;
  }

  public void mount( Gun gun )
  {
    _gun = gun;
  }

  public void fire( Sector sector,
                    Transform craftTransform,
                    Transform craftVelocity )
  {
    if( _gun != null )
    {
      Transform t = _transform.mul( craftTransform );

      _gun.fire( sector, t, craftVelocity );
    }
  }
}