package jelite.engine.galaxy;

import liaquay.math.vector.*;
import jelite.hulls.*;
import jelite.engine.galaxy.pilot.missile.*;

public class MissileLauncher
{
  public void fire( Sector sector,
                    Transform mountTransform,
                    Transform craftVelocity,
                    Craft target )
  {
    EliteCraft craft = new Missile( new Transform( mountTransform ) );

    MissilePilot player = new MissilePilot( System.currentTimeMillis(), craft, target );
    craft.addCrewMember( player );
    sector.addNewItem( craft );
  }
}
