package jelite.engine.galaxy;

import jelite.hulls.*;
import liaquay.collection.*;
import liaquay.math.vector.*;
import jelite.*;

public class SpaceStationItem extends SatelliteItem
{
  private LaunchTube _launchTube = null;

  public SpaceStationItem( Satellite satellite,
                           Item parent )
  {
    super( satellite, parent );

    Transform t = new Transform();

    // Dont do this, use the size of the craft.
    t.translate( 0, 0, _renderable.getRadius() + 200 );
    _launchTube = new LaunchTube( this, t );
  }

  public void dock( Craft craft )
  {
  }

  public void launch( Craft craft )
  {
    _launchTube.launch( craft );
    craft.launch();
  }
}

