package jelite.graphics;

import java.awt.*;

import liaquay.math.vector.*;
import liaquay.graphics.*;
//import liaquay.graphics.convex.*;
import liaquay.graphics.concave.*;

public class EliteGraphics3D extends ConcaveGraphics3D
{
  private Scanner _scanner = new Scanner();

  public EliteGraphics3D( int width, int height, Selection selection )
  {
    super( new ZBufferArrayImage( width, height ), selection );
  }

  /**
   * Prepares the renderer for new a new scene.
   */
  public void beginScene( Camera3D camera )
  {
    _scanner.clear();
    super.beginScene( camera );
  }

/*
  protected void added( ViewListEntry viewListEntry,
                        SelectionListener selectionListener )
  {
    Vector3D center = viewListEntry.getCenter();

    if( center.lengthSquared() < _scanner.rangeSquared )
    {
      double resolution = 1f/100f;

      int x = ( int )( center.get( 0 ) * resolution );
      int y = -( int )( center.get( 1 ) * resolution );
      int z = ( int )( center.get( 2 ) * resolution );

      _scanner.add( x, y, z );
    }
  }


  public void renderScene( Graphics graphics )
  {
    int length = getLength();

    for( int i = 0; i < length; ++i )
    {
      ViewListEntry e = getViewListEntry( i );
      e.render( graphics, getPpd(), getWidth(), getHeight() );
    }

    Selection selection = getSelection();

    for( int i = 0; i < length; ++i )
    {
      ViewListEntry e = getViewListEntry( i );
      SelectionListener selectionListener = e.getSelectionListener();
      if( selection.isSelected( selectionListener ) )
      {
        renderSelectionBox( e, graphics );
      }
    }

    graphics.setColor( Color.blue );
    graphics.drawLine( 20, 0, 60, 0 );
    graphics.drawLine( -20, 0, -60, 0 );
    graphics.drawLine( 0, 20, 0, 60 );
    graphics.drawLine( 0, -20, 0, -60 );

    _scanner.render( graphics );
  }

  public void renderSelectionBox( ViewListEntry e, Graphics g )
  {
    int x = e.getScreenCenterX();
    int y = e.getScreenCenterY();
    int screenR = e.getScreenRadius();

    int r = 8;

    if( screenR > 8 )
    {
      r = screenR;
    }

    g.setColor( Color.green );
    g.drawLine(  x - r , y - r, x - r, y + r );
    g.drawLine(  x + r , y - r, x + r, y + r );
    g.drawLine(  x - r , y + r, x + r, y + r );
    g.drawLine(  x + r , y - r, x - r, y - r );
  }
*/

}