package jelite.hulls;

import java.awt.*;
import java.io.*;
import java.net.*;
import liaquay.text.parser.*;
import liaquay.math.vector.*;
import liaquay.graphics.*;
import liaquay.graphics.parser.*;

public class OpaqueSolid3DRenderable implements Renderable
{
  private OpaqueSolid3D _solid = null;

  public OpaqueSolid3DRenderable( OpaqueSolid3D solid )
  {
    _solid = solid;
  }

  public OpaqueSolid3D getOpaqueSolid3D()
  {
    return _solid;
  }

  public double getRadius()
  {
    return _solid.getSolid3D().getRadius();
  }

  public void render( Graphics3D g, Transform transform, SelectionListener listener )
  {
    g.add( _solid, transform, listener );
  }
}
