package jelite.hulls;

import liaquay.math.vector.*;
import liaquay.graphics.*;

public class Solid implements Renderable
{
  private OpaqueSolid3D _solid;

  public Solid( OpaqueSolid3D solid )
  {
    _solid = solid;
  }

  public void render( Graphics3D g, Transform transform, SelectionListener listener )
  {
    g.add( _solid, transform, listener );
  }

  public double getRadius()
  {
    return _solid.getSolid3D().getRadius();
  }
}