package liaquay.collection;

public class HashSet
{
  private Hashtable _hashtable;
  
  public HashSet( int initialSize )
  {
    _hashtable = new Hashtable( initialSize );
  }
  
  public HashSet()
  {
    _hashtable = new Hashtable(); 
  }

  public Object add( Object o )
  {
    return _hashtable.put( o, o );
  }
  
  public void removeAll()
  {
    _hashtable.removeAll();
  }
  
  public boolean contains( Object o )
  {
    return _hashtable.get( o ) != null;
  }
  
  public Iterator iterator()
  {
    return _hashtable.iterator();
  }
  
  public Object remove( Object o )
  {
    return _hashtable.remove( o );
  }
}