package liaquay.collection;

public class IdentifierMap
{
  private Object[] _objects;

  public IdentifierMap()
  {
    _objects = new Object[ 10 ];
    for( int i = 0; i < _objects.length; ++i )
    {
      _objects[ i ] = null;
    }
  }

  private void extend()
  {
    Object[] _newObjects = new Object[ _objects.length * 2 ];
    for( int i = 0; i < _objects.length; ++i )
    {
      _newObjects[ i ] = _objects[ i ];
    }
    for( int i = _objects.length; i < _newObjects.length; ++i )
    {
      _newObjects[ i ] = null;
    }
    _objects = _newObjects;
  }

  public void put( int identifier, Object o )
  {
    while( identifier >= _objects.length )
    {
      extend();
    }
    _objects[ identifier ] = o;
  }

  public Object get( int identifier )
  {
    return _objects[ identifier ];
  }

  public void remove( int identifier )
  {
    _objects[ identifier ] = null;
  }

  public int length()
  {
    return _objects.length;
  }
}