package liaquay.collection.test;

import junit.framework.*;

/**
 * TestSuite that runs all the collection tests
 */
public class AllTests
{
  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public static Test suite ( )
  {
    TestSuite suite= new TestSuite("All collection Tests");
    suite.addTest(HashtableTest.suite());
    suite.addTest(QuickSorterTest.suite());
    suite.addTest(MappedSortableTest.suite());
    suite.addTest(HuffTest.suite());
    suite.addTest(ArrayListTest.suite());
    suite.addTest(BinarySearcherTest.suite());
    suite.addTest(ComparableComparatorTest.suite());
    suite.addTest(ObjectLocatorTest.suite());
    suite.addTest(CombinedIteratorTest.suite());
    return suite;
  }
}
