package liaquay.collection.test;

import junit.framework.*;
import liaquay.collection.*;

public class ComparableComparatorTest extends TestCase
{
  public ComparableComparatorTest(String name)
  {
    super(name);
  }

  public static Test suite()
  {
    /*
     * the dynamic way
     */
    return new TestSuite(ComparableComparatorTest.class);
  }

  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public void testCompare()
  {
    // setup comparator

    ComparableComparator cc = new ComparableComparator();
    Integer testValue = new Integer(37);

    Integer greater = new Integer(49);
    Integer less = new Integer(23);
    Integer equal = new Integer(37);


    assertEquals( true, cc.compare(testValue, greater)<0 );
    assertEquals( true, cc.compare(testValue, less)>0 );
    assertEquals( true, cc.compare(testValue, equal)==0 );


  }

}
