package liaquay.graphics;

public class Materials
{
  private PlainMaterial _plainMaterial = null;
  private TexturedMaterial _texturedMaterial = null;
  
  public Materials( PlainMaterial plainMaterial )
  {
    _plainMaterial = plainMaterial;
    _texturedMaterial = plainMaterial;
  }

  public Materials( PlainMaterial plainMaterial,
                    TexturedMaterial texturedMaterial )
  {
    _plainMaterial = plainMaterial;
    _texturedMaterial = texturedMaterial;
  }

  public PlainMaterial getPlainMaterial()
  {
    return _plainMaterial;
  }
  
  public TexturedMaterial getTexturedMaterial()
  {
    return _texturedMaterial;
  }
  
  public String toString()
  {
    return "(" + _plainMaterial + ")";
  }
}