package liaquay.graphics;

import liaquay.math.vector.*;

public class OpaqueSolid3D
{
  private Materials[] _materials;
  private Solid3D _solid;

  public OpaqueSolid3D( Solid3D solid, Materials[] materials )
  {
    _solid = solid;
    _materials = materials;
  }

  public Materials getOuterMaterials( int faceIndex )
  {
    return _materials[ faceIndex ];
  }

  public Materials[] getOuterMaterials()
  {
    return _materials;
  }

  public Solid3D getSolid3D()
  {
    return _solid;
  }
}
