package liaquay.graphics.concave;

import java.awt.*;

import liaquay.math.vector.*;
import liaquay.graphics.*;

public interface Renderer
{
  public void render( Object o,
                      ZBufferArrayImage screen,
                      Matrix4x3 combinedTransform,
                      Vector3D center,
                      double ppb,
                      int screenX,
                      int screenY,
                      int scrennR,
                      int[] diffuse,
                      int[] specular );
}