package liaquay.graphics.parser;

import liaquay.text.parser.*;
import liaquay.graphics.*;

public class ParseMaterials extends ParseSequence
{
  private ParsePlainMaterial _plainMaterial = new ParsePlainMaterial();

  public ParseMaterials()
  {
    add( new ParseCharLiteral( '(' ) );
    add( new ParseWhiteSpace() );
    add( _plainMaterial );
    add( new ParseWhiteSpace() );
    add( new ParseCharLiteral( ')' ) );
  }

  public Materials getMaterials()
  {
    return new Materials( _plainMaterial.getPlainMaterial() );
  }
}