package liaquay.math.vector;

import liaquay.collection.*;

public class Solid3DFaceBuilder
{
  private ArrayList _vertices = new ArrayList();

  public void addVertex( int vertex )
  {
    _vertices.add( new Integer( vertex ) );
  }

  public Solid3DFace buildSolid3DFace()
  {
    return new Solid3DFace( getVertices() );
  }

  private int[] getVertices()
  {
    int[] vertices = new int[ _vertices.size() ];

    for( int i = 0; i < _vertices.size(); ++i )
    {
      vertices[ i ] = ((Integer)_vertices.get( i )).intValue();
    }

    return vertices;
  }
}
