package liaquay.math.vector.test;

import junit.framework.*;

/**
 * TestSuite that runs all the vector tests
 */
public class AllTests
{

  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public static Test suite ( )
  {
    TestSuite suite= new TestSuite("All vector Tests");
    suite.addTest(TransformTest.suite());
    suite.addTest(MappedPlaneTest.suite());
    suite.addTest(liaquay.math.vector.parser.test.AllTests.suite());
    return suite;
  }
}
