package liaquay.test;

import junit.framework.*;

/**
 * TestSuite that runs all the liaquay tests
 *
 */
public class AllTests
{

  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public static Test suite ()
  {
    TestSuite suite= new TestSuite("All collection Tests");
    suite.addTest(liaquay.text.test.AllTests.suite());
    suite.addTest(liaquay.xml.test.AllTests.suite());
    suite.addTest(liaquay.collection.test.AllTests.suite());
    suite.addTest(liaquay.stream.test.AllTests.suite());
    suite.addTest(liaquay.math.test.AllTests.suite());
    suite.addTest(liaquay.graphics.test.AllTests.suite());
    suite.addTest(liaquay.http.test.AllTests.suite());
    return suite;
  }
}