package liaquay.text.parser;

public class ParseFixedWidthHexInteger extends ParseNChars implements ParseInteger
{
  public ParseFixedWidthHexInteger( int width )
  {
    super( Match.matchHexDigit, width );
  }

  public long value()
  {
    char b[] = getMatchedChars();
    long m = 1;
    long a = 0;
    long l = b.length;
    for( int i = 0; i < l; ++i )
    {
      char c = Character.toLowerCase( b[ (int)l - i - 1 ] );
      int v = 0;
      if( ( c >= '0' ) && ( c <= '9' ) )
      {
        v = c - '0';
      }
      else if( ( c >= 'a' ) && ( c <= 'f' ) )
      {
        v = c - 'a' + 10;
      }

      a += v * m;
      m = m * 16;
    }
    return a;
  }
}