package liaquay.text.parser;

import java.io.*;

public class ParseLiteralCharsIgnoreCase extends CharsParser
{
  private String _b;

  public ParseLiteralCharsIgnoreCase( String text )
  {
    _b = text;
  }

  public ParseLiteralCharsIgnoreCase( char[] b )
  {
    _b = new String( b );
  }

  protected boolean parseChars( CharReader r )
    throws IOException
  {
    for( int i = 0; i < _b.length(); ++i )
    {
      int c = r.read();

      if( c == -1 ) return false;

      if( Character.toLowerCase( (char)c ) !=
          Character.toLowerCase( _b.charAt( i ) ) ) return false;
    }
    return true;
  }

  public char[] getLiteralChars()
  {
    return _b.toCharArray();
  }

  public String getString()
  {
    return _b;
  }
}
