package liaquay.text.parser;

class MatchWhiteSpace extends MatchCharRegion
{
  public MatchWhiteSpace()
  {
    add( ' '  );
    add( '\t' );
    add( '\n' );
    add( (char)0x0d );
  }
}

public class ParseWhiteSpace extends ParseZeroOrMoreChars
{
  public ParseWhiteSpace()
  {
    super( new MatchWhiteSpace() );
  }
}