package liaquay.text.parser;

public class Region
{
  private CharReader _reader;
  private Region _parent;
  private int _start;

  public Region( CharReader reader, Region parent, int start )
  {
    _reader = reader;
    _parent = parent;
    _start = start;
  }

  public Region getParent()
  {
    return _parent;
  }

  public int getStart()
  {
    return _start;
  }

  public char getChar( int i )
  {
    return _reader.getChar( _start + i );
  }

  public char[] getChars()
  {
    return _reader.getChars( _start );
  }
}