package liaquay.text.parser.test;

import java.io.*;
import junit.framework.*;
import liaquay.text.parser.CharReader;
import liaquay.text.parser.ParseFloatingPoint;


/**
 * ParseFloatingPointTest tests.
 */
public class ParseFloatingPointTest extends TestCase 
{
  public ParseFloatingPointTest(String name) 
  {
    super(name);
  }
  
  protected void setUp() 
  {
  }
  
  public static Test suite() 
  {
    /*
     * the dynamic way
     */
    return new TestSuite(ParseFloatingPointTest.class);
  }
  
  
  public void test1()
  {
    ParseFloatingPoint parser = new ParseFloatingPoint();

    try
    {
      parser.parseSequential( "+1234.4567e-17" );

      if( parser.getMatched() )
      {
        if( 1234.4567e-17 != parser.value() )
        {
          fail( "Value should be 1234.4567e-17 but was " + parser.value() );
        }
      }
      else
      {
        fail( "Could not parse input string\n" + parser.explain() );
      }      
    }
    catch( Exception e )
    {
      fail( "Could not parse input string\n" + parser.explain() );
    }  
  }
}
