package liaquay.text.parser.test;

import java.io.*;
import junit.framework.*;
import liaquay.text.parser.*;

/**
 * ParseOneOrMore tests.
 */
public class ParseOneOrMoreTest extends TestCase 
{
  public ParseOneOrMoreTest(String name) 
  {
    super(name);
  }
  
  protected void setUp() 
  {
  }
  
  public static Test suite() 
  {
    /*
     * the dynamic way
     */
    return new TestSuite(ParseOneOrMoreTest.class);
  }
  
  
  public void test1()
  {
    ParserFactory f = new ParserFactory() 
    {
      public CharsParser create()
      {
        ParseSequence s1 = new ParseSequence();
        s1.add( new ParseWhiteSpace() );
        s1.add( new ParseAnyWidthInteger() );
        return s1;
      }
    };
  
    ParseOneOrMore parser = new ParseOneOrMore( f );

    try
    {
      parser.parseSequential( "1 2 3 4" );

      if( parser.getMatched() )
      {

      }
      else
      {
        fail( "Could not parse input string\n" + parser.explain() );
      }      
    }
    catch( Exception e )
    {
      fail( "Could not parse input string\n" + parser.explain() );
    }  
    
    try
    {
      parser.parseSequential( "1 2 3 4" );

      if( parser.getMatched() )
      {

      }
      else
      {
        fail( "Could not parse input string\n" + parser.explain() );
      }      
    }
    catch( Exception e )
    {
      fail( "Could not parse input string\n" + parser.explain() );
    }      
  }
}
