package liaquay.xml.test;

import java.io.*;
import junit.framework.*;

import liaquay.xml.*;

/**
 * XMLFormatter tests.
 */
public class XMLFormatterTest extends TestCase
{
  public XMLFormatterTest(String name)
  {
    super(name);
  }

  public static Test suite()
  {
    /*
     * the dynamic way
     */
    return new TestSuite(XMLFormatterTest.class);
  }

  public static void main (String[] args)
  {
    junit.textui.TestRunner.run (suite());
  }

  public void test1() throws IOException
  {
    StringWriter writer = new StringWriter();
    XMLFormatter formatter = new XMLFormatter( writer, 2 );
    formatter.singleLineTag( "Tag" );


    assertEquals( "<Tag/>\n", writer.toString() );
  }
}
